summaryrefslogtreecommitdiffstats
path: root/development/qt-doc
diff options
context:
space:
mode:
author Grissiom <chaos.proton@gmail.com>2010-05-13 00:58:02 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:58:02 +0200
commit0e56fcb6202f43e4de7209fcdb904e1714b3d338 (patch)
treebfeaf5b80f918d28f4c340c0f6c3194470c86bfb /development/qt-doc
parentc1f4be1b1b87dec8454f1eb1e15e2b6e931f35ab (diff)
downloadslackbuilds-0e56fcb6202f43e4de7209fcdb904e1714b3d338.tar.gz
slackbuilds-0e56fcb6202f43e4de7209fcdb904e1714b3d338.tar.xz
development/qt-doc: Added to 13.0 repository
Diffstat (limited to 'development/qt-doc')
-rw-r--r--development/qt-doc/README3
-rw-r--r--development/qt-doc/qt-doc.SlackBuild56
-rw-r--r--development/qt-doc/qt-doc.info10
-rw-r--r--development/qt-doc/slack-desc19
4 files changed, 88 insertions, 0 deletions
diff --git a/development/qt-doc/README b/development/qt-doc/README
new file mode 100644
index 0000000000..d4610cc58c
--- /dev/null
+++ b/development/qt-doc/README
@@ -0,0 +1,3 @@
+This package provide the documentations of Qt4. As the official qt-copy
+package doesn't have documents, this package only contain the Documents for
+development help.
diff --git a/development/qt-doc/qt-doc.SlackBuild b/development/qt-doc/qt-doc.SlackBuild
new file mode 100644
index 0000000000..540eb2d597
--- /dev/null
+++ b/development/qt-doc/qt-doc.SlackBuild
@@ -0,0 +1,56 @@
+#!/bin/sh
+
+# Slackware build script for qt-doc
+
+# Written by Grissiom <chaos.proton@gmail.com>
+
+PKGNAM=qt-doc
+VERSION=4.5.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+OUTPUT=${OUTPUT:-/tmp}
+PKG=$TMP/package-${PKGNAM}
+
+TARBALLNAME=qt-x11-opensource-src-${VERSION}
+
+if [ "$ARCH" = "i486" ] || [ "$ARCH" = "i686" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+fi
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${TARBALLNAME}
+tar xvf $CWD/${TARBALLNAME}.tar.bz2
+cd ${TARBALLNAME}
+
+QTDIR=/usr/lib${LIBDIRSUFFIX}/qt
+
+mkdir -p ${PKG}/${QTDIR}/doc/
+cp -r doc/html ${PKG}/${QTDIR}/doc/
+cp -r doc/qch ${PKG}/${QTDIR}/doc/
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+(cd $CWD && cp -a $PKGNAM.SlackBuild README $PKG/usr/doc/$PKGNAM-$VERSION/)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+
+# equivalent to do this in the very beginning but much more faster
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+/sbin/makepkg -l y -c n $OUTPUT/$PKGNAM-$VERSION-$ARCH-$BUILD${TAG}.${PKGTYPE:-tgz}
diff --git a/development/qt-doc/qt-doc.info b/development/qt-doc/qt-doc.info
new file mode 100644
index 0000000000..eee0542eb6
--- /dev/null
+++ b/development/qt-doc/qt-doc.info
@@ -0,0 +1,10 @@
+PRGNAM="qt-doc"
+VERSION="4.5.1"
+HOMEPAGE="http://qt.nokia.com"
+DOWNLOAD="ftp://ftp.qt.nokia.com/qt/source/qt-x11-opensource-src-4.5.1.tar.bz2"
+MD5SUM="afc43e566341cf3e5ed0bcb974f0c3b2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Grissiom"
+EMAIL="chaos.proton@gmail.com"
+APPROVED="dsomero"
diff --git a/development/qt-doc/slack-desc b/development/qt-doc/slack-desc
new file mode 100644
index 0000000000..2ef09445c1
--- /dev/null
+++ b/development/qt-doc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+qt-doc: qt-doc (Documentation for Qt4)
+qt-doc:
+qt-doc: As the official qt-copy package doesn't have documents, this package
+qt-doc: will provide the Documents(API references, Tutorials, etc.) for
+qt-doc: development help.
+qt-doc:
+qt-doc:
+qt-doc:
+qt-doc:
+qt-doc:
+qt-doc: